org.richfaces.renderkit.html

## Class ToolbarRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.ToolbarRendererBase

- Direct Known Subclasses:
    ToolbarGroupRenderer, ToolbarRenderer

      public abstract class ToolbarRendererBase
      extends RendererBase

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ToolbarRendererBase.ItemSeparators`
    `static class` | `ToolbarRendererBase.Locations`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,ComponentAttribute>` | `ITEMS_HANDLER_ATTRIBUTES`
    `static String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolbarRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `encodeClientItemID(javax.faces.component.UIComponent component)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
    `protected String` | `getHeightToolbar(javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getOptions(javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()`
    `protected String` | `getWidthToolbar(javax.faces.component.UIComponent component)`
    `protected void` | `insertDefaultSeparatorIfNeed(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)` Inserts default separator.
    `protected void` | `insertSeparatorIfNeed(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, javax.faces.context.ResponseWriter writer)` Inserts separator between toolbar items.
    `protected boolean` | `isPropertyRendered(String property)`
    `protected void` | `renderColElements(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

    - #### ITEMS_HANDLER_ATTRIBUTES

          public static final Map<String,ComponentAttribute> ITEMS_HANDLER_ATTRIBUTES

  - ### Constructor Detail

    - #### ToolbarRendererBase

          public ToolbarRendererBase()

  - ### Method Detail

    - #### renderColElements

          protected void renderColElements(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                                    throws IOException

      Throws:
        `IOException`

    - #### doEncodeChildren

          public void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component)
                                throws IOException

      Overrides:
        `doEncodeChildren` in class `RendererBase`
      Throws:
        `IOException`

    - #### insertSeparatorIfNeed

          protected void insertSeparatorIfNeed(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component,
                                   javax.faces.context.ResponseWriter writer)
                                        throws IOException

      Inserts separator between toolbar items. Uses facet "itemSeparator" if it is set and default separator implementation if facet is not set.
      Parameters:
        `context` - - faces context
        `component` - - component
        `writer` - - response writer
      Throws:
        `IOException` - - in case of IOException during writing to the ResponseWriter

    - #### insertDefaultSeparatorIfNeed

          protected void insertDefaultSeparatorIfNeed(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component,
                                          javax.faces.context.ResponseWriter writer)
                                               throws IOException

      Inserts default separator. Possible values are: "square", "disc", "grid", "line" - for separators provided by component implementation; "none" - for no separators between toolbar items; URI string value - for custom images specified by the page author.
      Parameters:
        `context` - - faces context
        `component` - - component
        `writer` - - response writer
      Throws:
        `IOException` - - in case of IOException during writing to the ResponseWriter

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Description copied from class: `RendererBase`
      Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `RendererBase`
      Returns:

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### isPropertyRendered

          protected boolean isPropertyRendered(String property)

    - #### getWidthToolbar

          protected String getWidthToolbar(javax.faces.component.UIComponent component)

    - #### getHeightToolbar

          protected String getHeightToolbar(javax.faces.component.UIComponent component)

    - #### getOptions

          protected Map<String,Object> getOptions(javax.faces.component.UIComponent component)

    - #### encodeClientItemID

          protected String encodeClientItemID(javax.faces.component.UIComponent component)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.